import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
  *
  * Beschreibung.
  *
  * @version 1.0 vom 05.03.2006
  * @author
  */

public class Gui extends JFrame {
  // Anfang Variablen
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JTextField jTextField1 = new JTextField();
  private JLabel jLabel1 = new JLabel();

  private Zaehler zaehler = new Zaehler(); // Ergnzungen "per Hand"
  // Ende Variablen

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 221;
    int frameHeight = 188;
    setSize(frameWidth, frameHeight);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(24, 16, 81, 41);
    jButton1.setText("zaehle");   // Ergnzungen "per Hand"
    cp.add(jButton1);
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1ActionPerformed(evt);
      }
    });

    jButton2.setBounds(24, 64, 81, 41);
    jButton2.setText("zeige");   // Ergnzungen "per Hand"
    cp.add(jButton2);
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2ActionPerformed(evt);
      }
    });

    jTextField1.setBounds(120, 72, 65, 24);
    jTextField1.setHorizontalAlignment(JTextField.RIGHT);  // Ergnzungen "per Hand"
    jTextField1.setText("0");     // Ergnzungen "per Hand"
    cp.add(jTextField1);
    
    jLabel1.setBounds(136, 32, 44, 16);
    jLabel1.setText("Stand");   // Ergnzungen "per Hand"
    jLabel1.setFont(new Font("MS Sans Serif", Font.PLAIN, 13));
    cp.add(jLabel1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void jButton1ActionPerformed(ActionEvent evt) {
    zaehler.zaehle();                // Ergnzungen "per Hand"
  }

  public void jButton2ActionPerformed(ActionEvent evt) {
    jTextField1.setText(""+zaehler.zeigeStand()); // Ergnzungen "per Hand"
  }


  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new Gui("Gui");
    
  }
}

